# Uses of Class
javafx.collections.MapChangeListener.Change

Packages that use MapChangeListener.Change
Package
Description
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.collections
Contains the essential JavaFX collections and collection utilities

## Uses of MapChangeListener.Change in javafx.beans.property

Methods in javafx.beans.property with parameters of type MapChangeListener.Change
Modifier and Type
Method
Description
`protected void`
MapPropertyBase.`fireValueChangedEvent(MapChangeListener.Change<? extends K,? extends V> change)`
Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `MapChangeListener`.
`protected void`
ReadOnlyMapPropertyBase.`fireValueChangedEvent(MapChangeListener.Change<? extends K,? extends V> change)`
This method needs to be called if the content of the referenced `ObservableList` changes.
`protected void`
ReadOnlyMapWrapper.`fireValueChangedEvent(MapChangeListener.Change<? extends K,? extends V> change)`
Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `MapChangeListener`.

## Uses of MapChangeListener.Change in javafx.collections

Methods in javafx.collections with parameters of type MapChangeListener.Change
Modifier and Type
Method
Description
`void`
MapChangeListener.`onChanged(MapChangeListener.Change<? extends K,? extends V> change)`
Called after a change has been made to an ObservableMap.
`void`
WeakMapChangeListener.`onChanged(MapChangeListener.Change<? extends K,? extends V> change)`
Called after a change has been made to an ObservableMap.